# Valheim Armory
Valheim Armory is a continuation of Valheim Additions. A small mod designed to fill gaps in the valheim ecosystem.

The goal of this mod is to create a more diverse but not sprawling selection of weapons to make all playstyles feel fully supported at each level.


This mod is balanced to be mostly lore friendly with a preference for fun and enjoyable scaling and mechanics.

This mod is highly configurable, you can use all of it, parts or tune it as you need.


Disclaimer:
- This is my first Unity, and Valhiem mod
- My original goal with modding was to just make a singular new arrow
- I'm not a gamedev, I suck at textures, modeling and don't know the unity loaders
- I'm learning as I go, and welcome feedback


## Features

Below are all of the items added by this mod. The descriptions and information here are provided so you know what you are getting. It is hidden so that you have the option to not don't look at everything added and instead discover it.

<details>
  <summary>Arrows</summary>

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Bone arrow | Workbench | Meadows | ![bone arrow icon](https://imgur.com/KUYj0Zp.png) |
  | Chitin arrow | Workbench | Ocean | ![chitin arrow icon](https://imgur.com/LKNQnEt.png) |
  | Ancient Wood arrow | Workbench | Swamp | ![ancient wood arrow icon](https://imgur.com/d28tCPw.png) |
  | Surtling Fire arrow | Forge | Mountain | ![surtling fire arrow icon](https://i.imgur.com/lLFiUc8.png) |
  | Blackmetal arrow | Forge | Plains | ![blackmetal arrow icon](https://imgur.com/yiJKz6s.png) | 
  | Wood Crossbow Bolt | Artisan | Post-Mountain | ![wood crossbow bolt](https://imgur.com/UTbO8aG.png) |

  Arrows Added here fill out a number of additional roles, and importantly add new resource sinks.
  * Bone arrows add a cheap arrow alternative to wood, burn your extra bones today!
  * Chitin arrows add a cheap variation to wood arrows, use all those useless barnacles!
  * Ancient wood arrows add a yet stronger sink for ancient wood
  * Surtling Fire arrows add a stronger variation of the fire arrow at a time when you can make some of the best use of it
  * Blackmetal arrows help complete the metal arrow variants
  * Wood bolts provide a cheap, and earlier game alternative to more expensive crossbow bolts- at a lower damage
</details>

<details>
  <summary>Atgeirs</summary>

  ### Progression of Atgiers with the mod installed
  ![gallery of atgeirs](https://i.imgur.com/favxFmh.png)
  
  ### Added Atgeirs

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Antler Atgeir | Workbench | Post-Meadows | ![antler atgeir icon](https://i.imgur.com/qjSQc9z.png) |
  | Royal Abyssal Atgeir | Forge | Mountain | ![royal abyssal atgeir icon](https://i.imgur.com/FCO85Nq.png) |

  Atgeirs are incredibly powerful, but can be stamina heavy to get into using. 
  * The Antleir Atgier provides a stepping stone for those starting with this weapon type. Its also quite powerful, due to being one of the only easy AOE weapons earlygame.
  * The Royal Abyssal Atgeir provides a missing stepping stone from Iron -> Blackmetal atgeirs, while also being powerful and specialized by itself


</details>

<details>
  <summary>Axes</summary>
  
  ### Progression of Great Axes with the mod installed
  ![gallery of greataxes](https://i.imgur.com/vTyKT5C.png)
  
  ### Added Greataxes

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Bronze Lumber Axe | Forge | Blackforest | ![bronze greataxe icon](https://i.imgur.com/1an32hc.png) |
  | Blackmetal Greataxe | Forge | Mistlands | ![blackmetal greataxe icon](https://i.imgur.com/2H94zhh.png) |

  Battleaxes are a fun but very challenging playstyle in valheim. They are slow so you generally need to kill your opponets before they can kill you, which happens fast. But since the first battleaxe you can get is in the swamp your actual axe damage is going to greatly depend on how much wood cutting you have already done.
  * Bronze greataxe gives you the option to use a 2H axe as your combat weapon of choice earlier, plus its great against wood, and greydwarfs :)
  * The Blackmetal greataxe (Herkir's Wrath) gives you a current endgame 2H axe that can actually output enough damage to be viable in the Mistlands
</details>

<details>
  <summary>Knives</summary>
  
  ### Progression of Daggers/knives (1h) with the mod installed
  ![gallery of 1h dagger/knives](https://i.imgur.com/gBAdBfN.png)
  
  ### Added Daggers

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Bronze Dagger | Forge | Blackforest | ![bronze dagger icon](https://i.imgur.com/AyWevGx.png) |
  | Iron Dagger | Forge | Swamp | ![iron dagger icon](https://i.imgur.com/9MBSw5X.png) |
  | Silver Dagger | Forge | Mountain | ![silver dagger icon](https://i.imgur.com/SL2G0Vn.png) |

  ---

  ### Progression of Daggers/knives (2h) with the mod installed
  ![gallery of 2h dagger/knives](https://i.imgur.com/zWccdHu.png)

  ### Added 2H Daggers

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Rascal Daggers | Forge | Blackforest | ![rascal daggers icon](https://i.imgur.com/88MEras.png) |
  | Rogue Daggers | Forge | Swamp | ![rogue daggers icon](https://i.imgur.com/1kyTYjP.png) |
  | Blackguard Runic Daggers | Forge | Mountain | ![blackguard runic daggers icon](https://i.imgur.com/8HwWqah.png) |

  * Note: 2H Daggers will float infront of item wall mounts due to their seperated attachment style. They display normally on an item stand.

  Knives are a very quick weapon which really start showing their power once you have some sneaking skills and get close enough to a strong target to sneak attack them. However most knives split their damage very evenly, meaning the run into the same problem that other hybrid weapons do in this game. They don't scale very well, require lots of leveling weapon and sneak wise to really show their colors. This is addressed by filling in the weapon catagory with Daggers, which tilt their damage type more to pierce, which will give all you stealth archers a more consistent experiance. But importantly also makes them stronger against the targets you are most likely to want to sneak attack.

  The addition of 2H daggers at lower tiers also provides you a way to focus on that playstyle all of the way up till the current end of the game.

</details>

<details>
  <summary>Bows</summary>
  
  ### Progression of Crossbows with the mod installed
  ![gallery of crossbows](https://i.imgur.com/XP7ZtCs.png)
  
  ### Added Crossbows

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Bronze Crossbow | Forge | Post-Mountain | ![bronze crossbow icon](https://i.imgur.com/iuk67H0.png) |

  Crossbows are really fun! Who doesn't like to point and click at an enemy and watch them just explode? The problem with crossbows is that they use their own skill type, and the first one you can get is at the current end of game. Which means its just not a viable damage dealer without a lot of grinding and its most likely you will just skip using it.
  * The Bronze crossbow adds an earlier version of the crossbow and it comes with some wood bolts for cheaper ammunition. It breaks a lot easier, but it also is fantastic against mountain/plains level enemies as a sneak attack weapon.

</details>

<details>
  <summary>Hammers</summary>
  
  ### Progression of Hammers (Sledges) with the mod installed
  ![gallery of hammers](https://i.imgur.com/w1frrOo.png)
  
  ### Added Sledges

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Blackmetal Sledge | Forge | Plains | ![blackmetal sledge icon](https://i.imgur.com/GiQJaWe.png) |

  Sledges are another fun, but niche weapon type which suffers greatly from not having a line of upgrades.
  * Blackmetal Sledge (Sky Shatter) is a plains level sledge that gives you a big upgrade over the iron sledge, and a stepping stone on the way to the mistlands sledge
</details>

<details>
  <summary>Shields</summary>
  
  ### Progression of Bucklers with the mod installed
  ![gallery of bucklers](https://i.imgur.com/whuCMvz.png)
  
  ### Added Shields

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Serpent Scale Buckler | Forge | Swamp | ![serpent scale buckler icon](https://i.imgur.com/jtB6efS.png) |

  Bucklers are a fun line of the lightest form of shields which also give the biggest parry bonus, and the least movement speed penalties. But like other weapon likes suffer from sparsity in their lineup.
  * The Serpent Scale Buckler gives you a middle tier buckler that while harder to get the resouces scales well to help you reach the later game buckler
</details>

<details>
  <summary>Swords</summary>
  
  ### Progression of Greatswords with the mod installed
  ![gallery of greatswords](https://i.imgur.com/e6Lmz1h.png)
  
  ### Added Greatswords

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Bronze Greatsword | Forge | Blackforest | ![bronze greatsword icon](https://i.imgur.com/cjSbYI5.png) |
  | Iron Greatsword | Forge | Swamp | ![iron greatsword icon](https://i.imgur.com/UmjdC0K.png) |
  | Silver Greatsword | Forge | Mountain | ![silver greatsword icon](https://i.imgur.com/qBOtNRn.png) |

  Greatswords are a relatively underwhelming weapon as they offer less utility than other weapon types and use one of the weaker damage types. So they need to make up for it in raw damage, however in vanilla the only greatsword you get is mistlands/blackmetal level! These greatswords create a tier progression that is missing and give you a the meaningful option of a high damage 2 hander earlier in the game.
  * Bronze greatsword early game 2H sword
  * Iron greatsword progression of the 2H sword
  * Silver Greatsword a comparable "silver axe" complete with its own spirit damage

  ---

  ### Progression of Swords with the mod installed
  ![gallery of swords](https://i.imgur.com/XsLZiJX.png)
  
  ### Added Swords

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Chitin Sword | Forge | Blackforest | ![chitin sword icon](https://i.imgur.com/HtNvGaA.png) |

  The progression tree of swords is well fleshed out, but it is missing variants that would make it useful earlier in the game. The abyssal sword is one such variant that gives this skill wider usage.
  * Chitin Sword (Abyssal Sword) is an early game sword sitting between bronze and iron but with the unique difference of inflicting some blunt damage, making it less useless against all of the enemies in the swamp
</details>

---

## Configuration

Everything is optionally configurable through the ingame mod configuration UI provided by BepinEx.
  * [Thunderstore link](https://valheim.thunderstore.io/package/TJzilla/BepInEx_ConfigurationManager/)
  * [Nexus Link](https://www.nexusmods.com/valheim/mods/740)

Otherwise a configuration file located at `/BepInEx/config/com.midnightsfx.ValheimArmory.cfg` contains all of the configuration.

Please note that basically ALL of the configuration is server sided. Which means that **it requires a restart of your game to take effect**. This allows me to ensure that the server and the client are always in sync with the details of everything- like how much damage you did to that greydwarf.

Current configuration options:
* Damage
* Recipe
* Stamina cost
* Block amount
* Crafted amount (where applicable)

---

## Currently in-progress
<details>
  <summary>Potential Spoilers!</summary>
  Noodling on what kind of weapons could be made for the elemental themed boss weapons.

  If there is something you'd like me to work on vote for it [here](https://poll-maker.com/poll4772706xc1794073-148)!
</details>

---

## Future Plans
<details>
  <summary>Potential Spoilers!</summary>
  * Chitin Shield
  * Named Mace (blackmetal mace)
  * More boss themed weapons
  * Silver sledge
  * Crossbow Updates
  * 2H Warhammers (Maces but bigger)
  If there is something you'd like me to work on vote for it [here](https://poll-maker.com/poll4772706xc1794073-148)!
</details>

---

## Installation (Automatic)
Just download with your favorite modmanager!

## Installation (manual)
Toss the ValheimArmory folder and files into your plugins folder. Technically the only thing required is the ValheimArmory.ddl, configs will generate on first run.

## Changelog
**1.1.0**
```
- Added Daggers
- Added 2H Daggers

- Significant updates to the configuration code, more things are now configurable!
	- Stamina cost for primary and secondary attacks
	- Crafting costs
	- Where things are crafted at
```

**1.0.1**
```
- Fixed Iron level sword recipe, should now actually require Iron.
```

**1.0.0**
```
- Release! I'm sure its got bugs somewhere
```

## Issues
Please report any issues you encounter on the [github issue tracker](https://github.com/MidnightsFX/Valheim_Additions/issues)

## Credits
* [Sword Model](https://assetstore.unity.com/packages/3d/props/weapons/free-low-poly-swords-rpg-weapons-198166)
* Jotun community for answering some silly questions :)
* The Valheim team at Irongate which makes all of this possible!
